<!DOCTYPE busconfig PUBLIC
          "-//freedesktop//DTD D-BUS Bus Configuration 1.0//EN"
          "http://www.freedesktop.org/standards/dbus/1.0/busconfig.dtd">
<busconfig>

  <!-- Only root can own the service -->
  <policy user="root">
    <allow own="dev.iohub.diya.SessionManager"/>
  </policy>
  
  <!--deny all access from another user-->
    <policy context="default">
        <deny send_destination="dev.iohub.diya.SessionManager"/>
        <deny receive_sender="dev.iohub.diya.SessionManager"/>
  </policy>
  
  <policy user="xdg">
    <allow send_destination="dev.iohub.diya.SessionManager"/>
    <allow receive_sender="dev.iohub.diya.SessionManager"/>
  </policy>
  
  <policy user="root">
    <allow send_destination="dev.iohub.diya.SessionManager"/>
    <allow receive_sender="dev.iohub.diya.SessionManager"/>
  </policy>

</busconfig>